Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2142212 - F35FailsToInstall: rust-signature+derive-preview-devel, rust-signature+signature_derive-devel
Summary: F35FailsToInstall: rust-signature+derive-preview-devel, rust-signature+signat...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-signature
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-11-11 23:36 UTC by Miro Hrončok
Modified: 2022-12-13 18:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-13 18:13:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-11-11 23:36:14 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (rust-signature) Fails To Install in Fedora 35:

can't install rust-signature+derive-preview-devel:
  - nothing provides crate(signature_derive/default) = 1.0.0~pre.3 needed by rust-signature+derive-preview-devel-1.3.1-1.fc35.noarch
  
can't install rust-signature+signature_derive-devel:
  - nothing provides crate(signature_derive/default) = 1.0.0~pre.3 needed by rust-signature+signature_derive-devel-1.3.1-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --config-opts mirrored=False install rust-signature+derive-preview-devel rust-signature+signature_derive-devel


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-11-20 20:57:09 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Stuart D Gathman 2022-11-21 21:22:41 UTC
I was going to let F35 slide.  But let me see if it builds there.

Comment 3 Stuart D Gathman 2022-11-22 00:56:52 UTC
I get this trying to branch for f35:
https://pagure.io/releng/fedora-scm-requests/issue/49258

Comment 4 Fabio Valentini 2022-11-22 15:33:51 UTC
Looks like PDC no longer recognizes f35 as an active Fedora branch (possibly because F35 would've been EOL by now if F37 had been released on time).

F35 will be EOL in a few weeks either way, so no need to branch the package there. Just set the bug to "MODIFIED" and the automatic script will stop bothering you.

Comment 5 Miro Hrončok 2022-11-22 16:45:02 UTC
> Looks like PDC no longer recognizes f35 as an active Fedora branch (possibly because F35 would've been EOL by now if F37 had been released on time).

https://pdc.fedoraproject.org/rest_api/v1/component-branches/?name=f35&global_component=rust-signature seems to list the component as active, with eols set to year 2222.

Comment 6 Fabio Valentini 2022-11-22 22:12:43 UTC
That's weird, but at least it makes sense in that fedpkg request-branch ticket should be closed as invalid if the branch already exists. :)

Comment 7 Stuart D Gathman 2022-11-22 22:30:24 UTC
rust-signature_derive is a separate package from rust-signature.   signature needs signature_derive to install (hence this bug).  The f35 branch for signature was created, but not for signature_derive.

Comment 8 Ben Cotton 2022-11-29 19:03:27 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 9 Ben Cotton 2022-12-13 18:13:20 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.